{
 "cells": [
  {
   "cell_type": "markdown",
   "metadata": {
    "pycharm": {
     "name": "#%% md\n"
    },
    "slideshow": {
     "slide_type": "slide"
    }
   },
   "source": [
    "# Software Entwicklung \n",
    "\n",
    "## Kapitel 7: Ausnahmebehandlung und Paketverwaltung\n",
    "\n",
    "### 7.2 Python Package Index\n",
    "\n",
    "Eine Vielzahl von frei verfügbaren Paketen\n",
    "wird auf der Website [pypi.org](https://pypi.org/) angeboten. Die Installation\n",
    "der dort verfügbaren Pakete erledigt man normalerweise mit dem\n",
    "Python Paketmanager *Pip*. Der Name ist übrigens ein rekursives (!) Akronym (leider ohne\n",
    "Abbruchbedingung) und steht für \" **P**ip **i**nstalliert **P**akete\".\n",
    "\n",
    "Genaueres zur Nutzung von *Pip* liefert z.B. das Lehrvideo\n",
    "[Python Paketmanagement](https://youtu.be/yrgh9TjOzMY). Wir gehen in der Veranstaltung das Prozedere einmal gemeinsam durch.\n"
   ]
  }
 ],
 "metadata": {
  "celltoolbar": "Slideshow",
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.9"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 1
}
